ClarisDrawParser Class Reference documentation

ClarisDrawParser Class Referencefinal

the main class to read a ClarisDraw v1 file More...

`#include <ClarisDrawParser.hxx>`

Inheritance diagram for ClarisDrawParser:

## Public Member Functions
| ClarisDrawParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~ClarisDrawParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| the main parse function
int | getFileType (int zoneId) const
| returns the file type corresponding to a zone id
MWAWVec2f | getPageLeftTop ()
| returns the page left top point ( in inches)
bool | sendTextZone (int number, int subZone=-1)
| sends a text zone
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readZone ()
| try to read a zone
bool | readDocHeader ()
| try to read a document header
bool | readLibraryHeader ()
| try to read the library header
std::shared_ptr< ClarisWksStruct::DSET > | readDSET (bool isLibHeader=false)
| try to read a DSET structure
bool | readPrintInfo ()
| try to read the print info zone
bool | readDocInfo ()
| try to read the document info zone
bool | readLayouts ()
| try to read the layout
bool | readLibraryNames ()
| try to read the library names(two zone)
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< ClarisDrawParserInternal::State > | m_state
| the state
std::shared_ptr< ClarisDrawStyleManager > | m_styleManager
| the style manager
std::shared_ptr< ClarisDrawGraph > | m_graphParser
| the graph parser
std::shared_ptr< ClarisDrawText > | m_textParser
| the text parser

## Friends
class | ClarisDrawGraph
class | ClarisDrawText

## Detailed Description

the main class to read a ClarisDraw v1 file

## Constructor & Destructor Documentation

## ◆ ClarisDrawParser()

ClarisDrawParser::ClarisDrawParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~ClarisDrawParser()

ClarisDrawParser::~ClarisDrawParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool ClarisDrawParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by ClarisDrawText, and parse().

## ◆ createDocument()

void ClarisDrawParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by ClarisDrawText, and parse().

## ◆ createZones()

bool ClarisDrawParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by ClarisDrawText, and parse().

## ◆ getFileType()

int ClarisDrawParser::getFileType | ( | int | zoneId | ) | const

returns the file type corresponding to a zone id

Referenced by ClarisDrawText.

## ◆ getPageLeftTop()

MWAWVec2f ClarisDrawParser::getPageLeftTop | ( |  | ) |

returns the page left top point ( in inches)

Referenced by ClarisDrawText, createDocument(), and parse().

## ◆ init()

void ClarisDrawParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by ClarisDrawParser(), and ClarisDrawText.

## ◆ parse()

void ClarisDrawParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| finalvirtual

the main parse function

Implements MWAWGraphicParser.

Referenced by ClarisDrawText.

## ◆ readDocHeader()

bool ClarisDrawParser::readDocHeader | ( |  | ) |
| protected

try to read a document header

Referenced by ClarisDrawText, and createZones().

## ◆ readDocInfo()

bool ClarisDrawParser::readDocInfo | ( |  | ) |
| protected

try to read the document info zone

Referenced by ClarisDrawText, and readDocHeader().

## ◆ readDSET()

std::shared_ptr< ClarisWksStruct::DSET > ClarisDrawParser::readDSET | ( | bool | isLibHeader = false | ) |
| protected

try to read a DSET structure

Referenced by ClarisDrawText, readLibraryHeader(), and readZone().

## ◆ readLayouts()

bool ClarisDrawParser::readLayouts | ( |  | ) |
| protected

try to read the layout

Referenced by ClarisDrawText, and readDocHeader().

## ◆ readLibraryHeader()

bool ClarisDrawParser::readLibraryHeader | ( |  | ) |
| protected

try to read the library header

Referenced by ClarisDrawText, and createZones().

## ◆ readLibraryNames()

bool ClarisDrawParser::readLibraryNames | ( |  | ) |
| protected

try to read the library names(two zone)

Referenced by ClarisDrawText, and readLibraryHeader().

## ◆ readPrintInfo()

bool ClarisDrawParser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by ClarisDrawText, and readDocHeader().

## ◆ readZone()

bool ClarisDrawParser::readZone | ( |  | ) |
| protected

try to read a zone

Referenced by ClarisDrawText, and createZones().

## ◆ sendTextZone()

bool ClarisDrawParser::sendTextZone | ( | int | number,
|  | int | subZone = -1 )

sends a text zone

Referenced by ClarisDrawText.

## Friends And Related Symbol Documentation

## ◆ ClarisDrawGraph

friend class ClarisDrawGraph
| friend

Referenced by ClarisDrawGraph, and init().

## ◆ ClarisDrawText

friend class ClarisDrawText
| friend

Referenced by ClarisDrawText, and init().

## Member Data Documentation

## ◆ m_graphParser

std::shared_ptr<ClarisDrawGraph> ClarisDrawParser::m_graphParser
| protected

the graph parser

Referenced by ClarisDrawParser(), createDocument(), init(), parse(), readDocHeader(), readDSET(), and readLibraryHeader().

## ◆ m_state

std::shared_ptr<ClarisDrawParserInternal::State> ClarisDrawParser::m_state
| protected

the state

Referenced by checkHeader(), ClarisDrawParser(), createDocument(), createZones(), getFileType(), init(), parse(), readDocHeader(), readDocInfo(), readDSET(), readLayouts(), readLibraryHeader(), and readLibraryNames().

## ◆ m_styleManager

std::shared_ptr<ClarisDrawStyleManager> ClarisDrawParser::m_styleManager
| protected

the style manager

Referenced by ClarisDrawParser(), init(), readDocHeader(), readLibraryHeader(), and readZone().

## ◆ m_textParser

std::shared_ptr<ClarisDrawText> ClarisDrawParser::m_textParser
| protected

the text parser

Referenced by ClarisDrawParser(), init(), readDocHeader(), readDSET(), readLibraryHeader(), and sendTextZone().

The documentation for this class was generated from the following files:

- ClarisDrawParser.hxx
- ClarisDrawParser.cxx